Migrate from version 100.x to version 200.x

ArcGIS Runtime SDK version 100.15 is a long-term support release focused exclusively on bug fixes and minor updates. ArcGIS Maps SDKs for Native apps version 200.x builds on the proven architecture of 100.15, and is designed to leverage the latest developer framework innovations. This topic outlines areas of the API that have undergone changes and provides guidance for re-factoring 100.x code for a 200.x app.

Basic migration steps

Follow these general steps to migrate your existing apps built with ArcGIS Runtime SDK for .NET versions 100.0-100.15 to ArcGIS Maps SDK for .NET version 200.0:

  1. Review the OS and framework changes section below and make any recommended changes or updates.
  2. Open the source code for your application.
  3. Update all Esri.ArcGISRuntime.* NuGet references to version 200.0.0.
  4. Address any breaking API changes. APIs that were marked as deprecated for v100.x have been removed from 200.0 and any usage of these APIs now raises compilation errors.
  5. Build and run the upgraded app and verify that it functions correctly.

Migrate Xamarin apps

Version 100.15 was the last release of ArcGIS Runtime SDK for .NET to support Xamarin.Forms, Xamarin.Android, and Xamarin.iOS. Version 200.0 supports .NET MAUI, .NET for Android, and .NET for iOS. Existing Xamarin Forms applications must transition to .NET MAUI (Multi-platform App UI) and from Xamarin.Android and Xamarin.iOS to .NET for Android, and .NET for iOS respectively.

Initializing the ArcGIS Maps SDK package for .NET MAUI

To use ArcGIS Maps SDK for .NET with your .NET MAUI app, call UseArcGISRuntime() on the MauiAppBuilder class when your app initializes. The following example shows how to do this.

MauiProgram.cs
Use dark colors for code blocksCopy
               
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
public static class MauiProgram
{
    // This class is part of the standard MAUI template.
    // MAUI apps use CreateMauiApp to prepare the app.
    public static MauiApp CreateMauiApp()
    {
        var builder = MauiApp.CreateBuilder();
        builder.UseMauiApp<App>();

        // This line is required when using ArcGIS Runtime.
        builder.UseArcGISRuntime();

        return builder.Build();
    }
}

See the following documentation for more information about migrating Xamarin Forms apps to .NET MAUI:

API changes

All deprecated APIs in 100.x have been removed in version 200.0. Usage of deprecated APIs results in compilation errors that must be addressed to successfully build your application using version 200.0.0.

System requirements changes

Several system requirements for developing and deploying apps that use ArcGIS Runtime SDK for .NET have been updated with ArcGIS Maps SDK for .NET version 200.0 and are summarized below. See the System requirements topic for more information.

Operating system

  • Windows 10 SDK version 2004 (build number 19041) or higher
  • macOS Big Sur 11.0 or higher

Integrated development environment (IDE)

  • Visual Studio 2022 17.3 or higher
  • Visual Studio 2019 16.9 or higher (UWP)

Framework-specific requirements

.NET MAUI:

  • .NET MAUI workload

Android:

  • net6.0-android or higher
  • Android 8.0 Oreo (API level 26) or higher

iOS:

  • net6.0-ios or higher
  • iOS 14 or higher
  • Deployment on macOS with Mac Catalyst requires Big Sur 11.0 or higher

WPF:

  • net6.0-windows10.0.19041.0 or higher
  • net472 or higher

WinUI 3.0:

  • net6.0-windows10.0.19041.0 or higher

UWP:

  • TargetPlatformMinVersion 10.0.17763.0 or higher

Frequently asked questions (FAQ)

Answers to some common migration-related questions can be found below.

Q: Do I have to immediately migrate my apps from ArcGIS Runtime SDK for .NET version 100.x to ArcGIS Maps SDK for .NET version 200.x?

No. ArcGIS Runtime SDK for .NET version 100.15 is a long-term support release. If your app does not require any of the new functionality provided by version 200.0 (or future 200.x releases), your app will continue to work as expected. See the Product Life Cycle document for more information.

However, to use the latest functionality provided by ArcGIS Maps SDK for .NET you will need to migrate your app.

Q: Is there any functionality available in ArcGIS Runtime SDK for .NET version 100.x that is missing from ArcGIS Maps SDK for .NET version 200.x?

No. All functionality found in version ArcGIS Runtime SDK for .NET 100.15 is available in ArcGIS Maps SDK for .NET version 200.0. Additionally, version 200.0 provides new functionality not available in 100.15, see the Release notes for details.

Q: Do I need to rewrite my apps built with ArcGIS Runtime SDK for .NET version 100.x to work with ArcGIS Maps SDK for .NET version 200.x?

No. Updating an app that uses ArcGIS Runtime SDK for .NET version 100.15 to use ArcGIS Maps SDK for .NET version 200.0 is generally straightforward. Migrating a Xamarin.Forms app to .NET MAUI will require some additional work that's not related to the use of ArcGIS Maps SDK for .NET.

Q: Is ArcGIS Maps SDK for .NET a completely new product?

No. The group of products collectively known as ArcGIS Runtime SDKs are now known as ArcGIS Maps SDKs for Native apps. Version 200.x of these SDKs builds on the proven architecture of ArcGIS Runtime 100.15 and is designed to leverage the latest developer framework innovations.

Your browser is no longer supported. Please upgrade your browser for the best experience. See our browser deprecation post for more details.